# 22. Virtuoso Functions Guide - cfg_item_count

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
db.dba.vacuum
user_change_password
user_create
user_drop
user_get_option
user_grant_role
user_revoke_role
user_role_create
user_role_drop
user_set_option
user_set_qualifier
cfg_item_count
cfg_item_name
cfg_item_value
cfg_section_count
cfg_section_name
cfg_write
checkpoint_interval
disconnect_user
fk_check_input_value...
log_enable
log_text
prof_enable
prof_sample
status
sys_lockdown
sys_stat
system
trace_status
user_set_password
virtuoso_ini_path
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## cfg_item_count

return number of items in a section in configuration file
cfg_item_count (in path varchar, in section varchar);
Parameters
path – Name of the INI file.
section – Name of the section in the INI file.
Return Values

An integer containing the number of items that exist in the section.

Description

Return the number of items that exist in the specified section of the INI file.

Examples
Simple examples

Find number of items in the [Parameters] section of the current virtuoso.ini file.

    SQL> select cfg_item_count(virtuoso_ini_path(), 'Parameters');
    callret
    INTEGER
    _______________________________________________________________

    19

See Also

virtuoso_ini_path cfg_section_count cfg_section_name cfg_item_name cfg_item_value cfg_write